Package tigase.auth.impl

## Class CertBasedCallbackHandler

- java.lang.Object
- - tigase.auth.impl.CertBasedCallbackHandler

- All Implemented Interfaces:
    `javax.security.auth.callback.CallbackHandler`, `Aware`, `SessionAware`

      public class CertBasedCallbackHandler
      extends java.lang.Object
      implements javax.security.auth.callback.CallbackHandler, SessionAware

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertBasedCallbackHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(javax.security.auth.callback.Callback[] callbacks)` |
    `void` | `setSession​(XMPPResourceConnection session)` | Sets XMPP Session.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected java.util.logging.Logger log

  - ### Constructor Detail

    - #### CertBasedCallbackHandler

          public CertBasedCallbackHandler()

  - ### Method Detail

    - #### handle

          public void handle​(javax.security.auth.callback.Callback[] callbacks)
                      throws java.io.IOException,
                             javax.security.auth.callback.UnsupportedCallbackException

      Specified by:
        `handle` in interface `javax.security.auth.callback.CallbackHandler`
      Throws:
        `java.io.IOException`
        `javax.security.auth.callback.UnsupportedCallbackException`

    - #### setSession

          public void setSession​(XMPPResourceConnection session)

      Description copied from interface: `SessionAware`
      Sets XMPP Session.
      Specified by:
        `setSession` in interface `SessionAware`
      Parameters:
        `session` - XMPP session.